local GearEvaluator = _G.GearEvaluator
local GearEvaluator_AutoSets = GearEvaluator:NewModule("AutoSets", "AceEvent-3.0")

function GearEvaluator_AutoSets:OnEnable()
  self:RegisterMessage("GEAREVALUATOR_NEWBESTSCORE")
end

function GearEvaluator_AutoSets:OnDisable()
  self:UnregisterMessage("GEAREVALUATOR_NEWBESTSCORE")
end

function GearEvaluator_AutoSets:GEAREVALUATOR_NEWBESTSCORE(event, name, gear, score)
  local setname, icon = GetEquipmentSetInfoByName(name)

  GearEvaluator:Debug(5, "AutoSets: Received "..event.." message")
  GearEvaluator:Debug(6, "AutoSets: "..name.." - "..score)

  -- TODO: Determine if the items in "gear" is currently equipped before saving

  if (setname) then
    GearEvaluator:Print("Updating set "..name.." with new best score "..score)
    SaveEquipmentSet(name, icon)
  end
end
